Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class RulesType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.RulesType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class RulesType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Rules Type', and utility methods for working with them.

See Also:
  `CDAR2Package.getRulesType()`

Field Summary
`static int` | `ALL` The 'All' literal value.
`static RulesType` | `ALL_LITERAL` The 'All' literal object.
`static int` | `COLS` The 'Cols' literal value.
`static RulesType` | `COLS_LITERAL` The 'Cols' literal object.
`static int` | `GROUPS` The 'Groups' literal value.
`static RulesType` | `GROUPS_LITERAL` The 'Groups' literal object.
`static int` | `NONE` The 'None' literal value.
`static RulesType` | `NONE_LITERAL` The 'None' literal object.
`static int` | `ROWS` The 'Rows' literal value.
`static RulesType` | `ROWS_LITERAL` The 'Rows' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Rules Type' enumerators.

Method Summary
`static RulesType` | `get(int value)` Returns the 'Rules Type' literal with the specified integer value.
`static RulesType` | `get(java.lang.String literal)` Returns the 'Rules Type' literal with the specified literal value.
`static RulesType` | `getByName(java.lang.String name)` Returns the 'Rules Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

  The 'None' literal value.

  If the meaning of 'None' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NONE_LITERAL`, Constant Field Values

### GROUPS

    public static final int GROUPS

  The 'Groups' literal value.

  If the meaning of 'Groups' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GROUPS_LITERAL`, Constant Field Values

### ROWS

    public static final int ROWS

  The 'Rows' literal value.

  If the meaning of 'Rows' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ROWS_LITERAL`, Constant Field Values

### COLS

    public static final int COLS

  The 'Cols' literal value.

  If the meaning of 'Cols' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COLS_LITERAL`, Constant Field Values

### ALL

    public static final int ALL

  The 'All' literal value.

  If the meaning of 'All' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ALL_LITERAL`, Constant Field Values

### NONE_LITERAL

    public static final RulesType NONE_LITERAL

  The 'None' literal object.

  See Also:
    `NONE`

### GROUPS_LITERAL

    public static final RulesType GROUPS_LITERAL

  The 'Groups' literal object.

  See Also:
    `GROUPS`

### ROWS_LITERAL

    public static final RulesType ROWS_LITERAL

  The 'Rows' literal object.

  See Also:
    `ROWS`

### COLS_LITERAL

    public static final RulesType COLS_LITERAL

  The 'Cols' literal object.

  See Also:
    `COLS`

### ALL_LITERAL

    public static final RulesType ALL_LITERAL

  The 'All' literal object.

  See Also:
    `ALL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Rules Type' enumerators.

Method Detail

### get

    public static RulesType get(java.lang.String literal)

  Returns the 'Rules Type' literal with the specified literal value.

### getByName

    public static RulesType getByName(java.lang.String name)

  Returns the 'Rules Type' literal with the specified name.

### get

    public static RulesType get(int value)

  Returns the 'Rules Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD